/*  WWW Poll Script, Version 1.0
    Copyright 1994, Creative Internet Designs
    Joseph E. Cates and Aure Prochazka

    Include file, see "wwwpoll.c"

    Documentation and most current version available at:
      http://www.galcit.caltech.edu/~joe/scripts/wwwpoll/wwwpoll.html

*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>

/* version */
#define VERS            "1.0"

/* ------------------------------------------------------------------------ */
/* These values MUST BE CHANGED to install at your site                     */
/* ------------------------------------------------------------------------ */

/* server address, should NOT end in a slash */
#define SERVER          "http://www.nowhere.com"

/* URL location of the www poll files */
#define MAIN_URL_BASE   "/~johndoe/wwwpoll/"

/* ...installed URL of the script... */
#define POLL_URL        "/cgi-bin/wwwpoll"

/* full path of directory containing config file, must end with slash 
   note: this path is not virtual path - use the actual physical path,
   (for example: /usr/local/www/wwwpoll/).  Nothing to do with URL's */
#define CFG_FILE_DIR    "/home/johndoe/wwwpoll/"

/* e-mail address of maintainer which is displayed on some error pages */ 
#define E_MAIL          "johndoe@nowhere.com"



/* ------------------------------------------------------------------------ */
/* The defaults should be fine for these values                             */
/* ------------------------------------------------------------------------ */

/* name of poll configuration file, must be world readable */
#define CFG_FILE        CFG_FILE_DIR "wwwpoll.cfg"

/* ...info on user's actions are dumped to a log file... */
#define LOG_FILE        CFG_FILE_DIR "wwwpoll.log"

/* location of the back and error images, must start and end with slash */
#define PIC_URL_BASE    MAIN_URL_BASE

/* location of the question include files, must start and end with slash */
#define INC_URL_BASE    MAIN_URL_BASE

/* full path of directory for question list files, must end with slash */ 
#define LIST_FILE_DIR   CFG_FILE_DIR

/* full path of directory for question htinc files, must end with slash */ 
#define HTINC_FILE_DIR  LIST_FILE_DIR

/* error and back images */
#define ERROR_GIF       PIC_URL_BASE "error.gif"
#define BACK_GIF        PIC_URL_BASE "marbleback.gif"



/* ------------------------------------------------------------------------ */
/* These values allow you to customize the appearance                       */
/* ------------------------------------------------------------------------ */

/* title of script, appears at the top of every page and in some err msgs */
#define TITLE           "WWW Poll"

/* links to the authors of the script, do NOT change */
#define AUTHORS_DOC     "http://www.galcit.caltech.edu/~joe/scripts/"

/* footer at bottom of main poll page */
#define HTML_FOOTER     "<A HREF=\"" AUTHORS_DOC "\">WWW Poll " VERS "</A>"

/* this appears below the page title and above the first question */
#define HTML_LEADIN     "<B>PARTICIPATE!</B> Cast your vote.<HR>\n"

/* format strings for plus, minus, add images - must contain a %s format 
   code which will be replaced with the image name from questions file */
#define VPLUS_IMG       "<IMG SRC=\"%s\" ALIGN=TOP ALT=\"+\">"
#define VMINUS_IMG      "<IMG SRC=\"%s\" ALIGN=TOP ALT=\"-\">"
#define ADD_IMG         "<IMG SRC=\"%s\" ALIGN=TOP ALT=\"ADD ENTRY\">"



/* ------------------------------------------------------------------------ */
/* These values should NOT need to be changed                               */
/* ------------------------------------------------------------------------ */

/* maximum length of items in the questions, you can increase this if
   some of your items are extremely long, default=256 */
#define MAX_NAME_LEN    256

/* max number of form results for dimensioning array, default=2 */
#define MAX_FORM_RES    2

/* min and max number of items in a single question, default=1,50 */
#define MIN_ITEMS       1
#define MAX_ITEMS       50

/* max length of voter host info (typically name@host), default=128 */
#define MAX_VOTER_LEN   128

/* default length for number of miscellaneous items, default=1024 */
#define BUF_LEN         1024

/* URL in standard A HREF commands */
#define BACK_HREF       "<A HREF=\"" BACK_URL "\">"
#define POLL_HREF       "<A HREF=\"" POLL_URL "\">"

/* GIF's for back and error in the standard image source commands */
#define BACK_IMG        "<IMG SRC=\"" BACK_GIF  "\" ALIGN=MIDDLE ALT=\"\">"
#define ERROR_IMG       "<IMG SRC=\"" ERROR_GIF "\" ALIGN=BOTTOM ALT=\"ERROR\">"

/* end */


